org.apache.lucene.analysis.cn.smart

## Class SentenceTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.cn.smart.SentenceTokenizer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class SentenceTokenizer
    extends Tokenizer

Tokenizes input text into sentences.

The output tokens can then be broken into words with `WordTokenFilter`

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.Tokenizer

`input`

### Constructor Summary

Constructors
Constructor and Description
`SentenceTokenizer(AttributeSource.AttributeFactory factory, Reader reader)`
`SentenceTokenizer(AttributeSource source, Reader reader)`
`SentenceTokenizer(Reader reader)`

### Method Summary

Methods
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.Tokenizer

`close, correctOffset, setReader`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SentenceTokenizer

    public SentenceTokenizer(Reader reader)

#### SentenceTokenizer

    public SentenceTokenizer(AttributeSource source,
                     Reader reader)

#### SentenceTokenizer

    public SentenceTokenizer(AttributeSource.AttributeFactory factory,
                     Reader reader)

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenStream`
Throws:
  `IOException`

#### end

    public void end()

Overrides:
  `end` in class `TokenStream`